Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Lua Development Tools » Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2
Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2 [message #1401890] Wed, 16 July 2014 08:01 Go to next message
Cheyi Lin is currently offline Cheyi LinFriend
Messages: 16
Registered: June 2012
Junior Member
Hi,

Some of my Lua scripts got 'This file probably contains a syntax error' error at line 1, and I got following log:

Eclipse Indigo SR2
LDT 1.2.0.201406251556

com.naef.jnlua.LuaRuntimeException: ...les\359\1\.cp\script\local\javaexpressionbuilder.lua:43: attempt to index local 'handledexpr' (a nil value)
	at com.naef.jnlua.LuaState.lua_pcall(Native Method)
	at com.naef.jnlua.LuaState.call(LuaState.java:555)
	at org.eclipse.koneki.ldt.core.internal.ast.parser.ModelsBuilderLuaModule.buildAST(ModelsBuilderLuaModule.java:45)
	at org.eclipse.koneki.ldt.core.internal.ast.parser.LuaSourceParser.parse(LuaSourceParser.java:114)
	at org.eclipse.dltk.core.builder.ParserBuildParticipantFactory$ParserBuildParticipant.build(ParserBuildParticipantFactory.java:81)
	at org.eclipse.dltk.internal.core.builder.StandardScriptBuilder.buildModule(StandardScriptBuilder.java:242)
	at org.eclipse.dltk.internal.core.builder.StandardScriptBuilder.buildNatureModules(StandardScriptBuilder.java:176)
	at org.eclipse.dltk.internal.core.builder.StandardScriptBuilder.build(StandardScriptBuilder.java:73)
	at org.eclipse.dltk.internal.core.builder.ScriptBuilder.fullBuild(ScriptBuilder.java:448)
	at org.eclipse.dltk.internal.core.builder.ScriptBuilder.build(ScriptBuilder.java:156)
	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:728)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:199)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:239)
	at org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:292)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:295)
	at org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:351)
	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:374)
	at org.eclipse.core.internal.resources.Workspace.buildInternal(Workspace.java:513)
	at org.eclipse.core.internal.resources.Workspace.build(Workspace.java:432)
	at org.eclipse.ui.actions.BuildAction$1.runInWorkspace(BuildAction.java:305)
	at org.eclipse.core.internal.resources.InternalWorkspaceJob.run(InternalWorkspaceJob.java:38)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)


Is it a bug? Thanks.

Cheyi
Re: Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2 [message #1402951 is a reply to message #1401890] Fri, 18 July 2014 15:34 Go to previous messageGo to next message
Marc Aubry is currently offline Marc AubryFriend
Messages: 83
Registered: August 2012
Member
Hi Cheyi,

It looks like a bug.
Can you tell us how we can reproduce it on our side ? and also your environment (e. g. the file or project that give you the error) ?

Thanks !
Re: Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2 [message #1403084 is a reply to message #1402951] Mon, 21 July 2014 09:22 Go to previous messageGo to next message
Cheyi Lin is currently offline Cheyi LinFriend
Messages: 16
Registered: June 2012
Junior Member
Hi Marc,

Finally I found a minimal reproducible test case. Attached is the LDT project.

Eclipse Indigo SR2 20120216-1857
LDT 1.2.0.201406251556

Thank you.

index.php/fa/18602/0/
Re: Some scripts got 'This file probably contains a syntax error' after upgrading from 1.1 to 1.2 [message #1403113 is a reply to message #1403084] Mon, 21 July 2014 12:39 Go to previous message
Simon Bernard is currently offline Simon BernardFriend
Messages: 290
Registered: July 2009
Senior Member
Thx Cheyi Lin, you definitely find a bug.
I report it : https://bugs.eclipse.org/bugs/show_bug.cgi?id=439995
We will try to fix it in the version 1.2.1 .
Waiting the workaround is to not typed the field tbl as a table.

[Updated on: Fri, 25 July 2014 08:40]

Report message to a moderator

Previous Topic:crash in debugger.lua
Next Topic:Build failure
Goto Forum:
  


Current Time: Fri Dec 19 08:42:07 GMT 2014

Powered by FUDForum. Page generated in 0.02305 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software